 doc/src/sgml/custom-scan.sgml | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/doc/src/sgml/custom-scan.sgml b/doc/src/sgml/custom-scan.sgml
index 62a8a33..eb5988d 100644
--- a/doc/src/sgml/custom-scan.sgml
+++ b/doc/src/sgml/custom-scan.sgml
@@ -103,6 +103,15 @@ extern PGDLLIMPORT set_join_pathlist_hook_type set_join_pathlist_hook;
    responsibility of the hook to minimize duplicated work.
   </para>
 
+  <para>
+   Note that we have no public interface for extensions to construct
+   <structname>Plan</> nodes based on the <structname>Path</> nodes
+   chosen, at this moment. So, extension need to copy and paste
+   <filename>createplan.c</> into its source tree, then adjust definition
+   of <function>create_plan_recurse</> as non-static function, to allow
+   to construct underlying <structname>Plan</> nodes.
+  </para>
+
   <sect2 id="custom-scan-path-callbacks">
   <title>Custom Scan Path Callbacks</title>
 
